/*************************************************************
 * uart_main.h
 *
 * UART OSC3/IOSC common header
 *
 * Copyright (C)SEIKO EPSON CORPORATION 2009. All rights reserved.
 ************************************************************/

#ifndef UART_MAIN_H_
#define UART_MAIN_H_

/* connect status */
#define UART_NOT_CONNECTED		0			// connection flag, not connected
#define UART_WAIT_CONNECTED		1			// connection flag, wait connected
#define UART_CONNECTED_ACK		2			// connection flag, connected ACK
#define UART_CONNECTED			3			// connection flag, connected
#define UART_CONNECTION_REPORT	0x7F		// connection report data

typedef struct tag_UART_MAIN_PARAM {
	unsigned char *dataTx;					// transmit data buffer
	unsigned char *dataRx;					// receivce data buffer
	unsigned char counterTx;				// transmit data counter
	unsigned char counterRx;				// receivce data counter
	unsigned char counterMaxRx;				// receivce data counter max
} UART_MAIN_PARAM;

#endif	// end of UART_MAIN_H_

