/******************************************************************
 * wdt_api.h
 * 
 * watchdog timer driver
 * 
 * Copyright(C) SEIKO EPSON CORPORATION 2009. All rights Reserved.
 *****************************************************************/

#ifndef WDT_API_H_
#define WDT_API_H_

#include <wdt.h>

/******************************************
 * definition of "define"
 ******************************************/

// watchdog timer driver return code.
#define	WDT_SUCCESS					 0								// success
#define	WDT_INVALID_PARAMETER		-1								// invalid parameter
#define	WDT_FAILURE					-2								// failure

// watchdog timer run / stop control.
#define	WDT_TIMER_STOP				WDT_STOP						// timer stop
#define	WDT_TIMER_RUN				WDT_RUN							//		 run

// watchdog timer select mode.
#define	WDT_TIMMODE_NMI				WDT_NMI							// NMI mode
#define	WDT_TIMMODE_RESET			WDT_RESET						// reset mode


/******************************************
 * Declarations of function prototype
 ******************************************/
extern void WDT_resetTimer(void);
extern void WDT_setTimerRun(unsigned char selectBit);
extern short WDT_setTimerMode(unsigned char mode);
extern short WDT_checkNMI(void);


#endif	// end of WDT_API_H_
